Summary: sendmail mail transport agent
Name: sendmail
Version: 8.9.3
Release: 1
Group: Daemons
Copyright: BSD
Url: http://www.sendmail.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: sendmail.%{version}.tar.gz
Source1: sendmail.mc
Source2: site.config.m4
Source3: aliases
Source4: access
Source5: sendmail
Provides: smtpdaemon
Requires: procmail
BuildRoot: /var/tmp/%{name}-root

%description
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

		**** WARNING ****

This package is configured for Hao Li's personal use. Customize
sendmail.mc and rebuild the RPM if you want to use it.


%prep
%setup -q


%build
# Generate sendmail.cf from sendmail.mc
( cd cf/cf; m4 %{SOURCE1} > sendmail.cf )

# site.config.m4 customizes directory layout and enables "make install" as
# non-root
sed 	-e "s|RPM_OPT_FLAGS|$RPM_OPT_FLAGS|" \
	-e "s|RPM_BUILD_USER|`id -un`|" \
	-e "s|RPM_BUILD_GROUP|`id -gn`|" \
	%{SOURCE2} > BuildTools/Site/site.config.m4

# I only need sendmail, mailstats, makemap and praliases.
# Check toplevel Makefile if you need more.
make SUBDIRS="src mailstats makemap praliases"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{bin,sbin,lib,man/man{1,5,8}},/var/log}
mkdir -p $RPM_BUILD_ROOT/{etc/{mail,rc.d/init.d}}

make SUBDIRS="src mailstats makemap praliases" DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/sbin/*

# Fix symlinks under /usr/bin. They should all point to /usr/sbin/sendmail
find $RPM_BUILD_ROOT/usr/bin -type l -exec ln -sf /usr/sbin/sendmail {} \;

install -m644 cf/cf/sendmail.cf $RPM_BUILD_ROOT/etc

install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/aliases.db

install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/mail
(cd $RPM_BUILD_ROOT/etc/mail; ../../usr/sbin/makemap hash access.db < access )

install -m755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d

mkdir -p $RPM_BUILD_ROOT/var/spool/mqueue/.hoststat
chmod 700 $RPM_BUILD_ROOT/var/spool/{mqueue,mqueue/.hoststat}

gzip -9f doc/*/*.ps


%post
rm -rf /var/spool/mqueue/.hoststat/*
/sbin/chkconfig --add sendmail
/usr/bin/newaliases > /dev/null

%preun
rm -rf /var/spool/mqueue/.hoststat/*
if [ $1 = 0 ]; then
    /sbin/chkconfig --del sendmail
fi


%files
%defattr(-,root,root)
%doc FAQ KNOWNBUGS LICENSE README RELEASE_NOTES doc/*/*.ps.gz
%dir /etc/mail
%dir /var/spool/mqueue
%dir /var/spool/mqueue/.hoststat
%config /etc/aliases
%verify(not size md5 mtime) /etc/aliases.db
%config /etc/sendmail.cf
%config /etc/mail/access
%verify(not size md5 mtime) /etc/mail/access.db
%config /etc/rc.d/init.d/sendmail
%config /var/log/sendmail.st
/usr/bin/*
/usr/sbin/*
/usr/lib/sendmail.hf
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

